Skip to main content
POST
/
braze_multilang
/
v1
/
sync
/
download-xliff-file
Download Braze multilingual content as XLIFF synchronously
curl --request POST \
  --url https://eu.phrase.com/connectors/braze_multilang/v1/sync/download-xliff-file \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
  "configuration": {},
  "path": {
    "pathType": "ROOT"
  },
  "sourceLocale": "en-US",
  "targetLocale": "de-DE"
}
'
"<string>"

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.

Available options:
ID,
OBJECT

Body

application/json

Request body for downloading Braze multilingual content as XLIFF 2.0. The connector loads stored credentials from TMS based on connectorUuid and applies its segmentation and serialization rules to produce a translation-ready XLIFF.

connectorUuid
string
required

UUID of a connector instance configured in TMS.

Example:

"4282fec0-d2e9-4266-8733-3e634feb7b59"

configuration
object
required

Connector configuration for the Braze Multilang connector

Example:
{
  "tags": ["marketing", "priority"],
  "maxDaysFromLastUpdate": 30,
  "includeHash": true
}
path
object

Selector inside the Braze workspace — content block / campaign ID, or ROOT for the entire selection driven by configuration.

sourceLocale
string | null

Source locale of the content (Phrase locale code).

Example:

"en-US"

targetLocale
string | null

Target locale of the content (Phrase locale code).

Example:

"de-DE"

Response

OK — XLIFF binary stream (returned when X-ResponseType=OBJECT).

The response is of type file.